%define _unpackaged_files_terminate_build 0

%global test_sha 03a4b9eb854a06a83c465e82de601796c458bbe9
%global test_date 2021-01-11

Summary: PDF rendering library
Name:    compat-poppler22
Version: 22.07.0
Release: 1%{?dist}
License: (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and MIT
URL:     http://poppler.freedesktop.org/
Source0: http://poppler.freedesktop.org/poppler-%{version}.tar.xz
# git archive --prefix test/
Source1: poppler-test-%{test_date}-%{test_sha}.tar.xz

Patch1:  poppler-0.90.0-position-independent-code.patch
Patch3:  poppler-21.01.0-glib-introspection.patch
Patch4:  poppler-23.02.0-force-font-name.patch

BuildRequires: make
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gettext-devel
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(cairo-pdf)
BuildRequires: pkgconfig(cairo-ps)
BuildRequires: pkgconfig(cairo-svg)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(poppler-data)
BuildRequires: boost-devel

Requires: poppler-data

Obsoletes: poppler-glib-demos < 0.60.1-1

%description
%{name} is a PDF rendering library.

%package glib
Summary: Glib wrapper for poppler
Requires: %{name}%{?_isa} = %{version}-%{release}

%description glib
%{summary}.

%package cpp
Summary: Pure C++ wrapper for poppler
Requires: %{name}%{?_isa} = %{version}-%{release}

%description cpp
%{summary}.

%prep
%autosetup -n poppler-%{version} -p1 -b 1

chmod -x poppler/CairoFontEngine.cc

%build
%cmake \
  -DENABLE_CMS=lcms2 \
  -DENABLE_DCTDECODER=libjpeg \
  -DENABLE_GTK_DOC=ON \
  -DENABLE_LIBOPENJPEG=openjpeg2 \
  -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
  -DENABLE_ZLIB=OFF \
  ..
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_libdir}/pkgconfig \
    %{buildroot}%{_libdir}/*.so \
    %{buildroot}%{_libdir}/*.so.0 \
    %{buildroot}%{_libdir}/*.so.8 \
    %{buildroot}%{_libdir}/girepository-1.0/ \
    %{buildroot}%{_includedir} \
    %{buildroot}%{_bindir} \
    %{buildroot}%{_mandir} \
    %{buildroot}%{_datadir}/gtk-doc \
    %{buildroot}%{_datadir}/gir-1.0

%ldconfig_scriptlets

%ldconfig_scriptlets glib

%ldconfig_scriptlets cpp

%files
%doc README.md
%license COPYING
%{_libdir}/libpoppler.so.122*

%files glib
%{_libdir}/libpoppler-glib.so.8.*

%files cpp
%{_libdir}/libpoppler-cpp.so.0.*

%changelog
* Mon Sep 25 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 22.07.0-1
- Rebuilt for MSVSphere 9.2

* Mon Sep 25 2023 Arkady L. Shane <tigro@msvsphe-os.ru> - 22.07.0-1
- Compat build
